<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Cosmo the Mighty Martian</Series>
  <Number>003</Number>
  <Web>https://www.comixology.com/Cosmo-The-Mighty-Martian-3/digital-comic/827934</Web>
  <Summary>Cosmo and Astra investigate a planet of shpooky shadows, little do they know it’s actually an ambush led by one of the evil Venusian Battle Princesses, Boudica! Can the pair overcome the devious dark devils, or will they be overshadowed by the barbarous battling Boudica?!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB827934]</Notes>
  <Publisher>Archie</Publisher>
  <Genre></Genre>
  <PageCount>28</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
